Bug 196722 - provide needed friend dependencies for "OSS IDE Project Generator Module"
provide needed friend dependencies for "OSS IDE Project Generator Module"
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: -- Other --
7.0
PC Solaris
: P1 (vote)
: 7.0
Assigned To: Alexander Simon
issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-15 10:50 UTC by Alexander Simon
Modified: 2011-03-25 06:02 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-03-15 10:50:27 UTC
OSS IDE Project Genarator Module needs some cnd friend dependencies.
Comment 1 Alexander Simon 2011-03-15 10:53:31 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/41d291cf6cd1
Comment 2 Alexander Simon 2011-03-15 10:54:14 UTC
Vladimir V, please review fix.
Comment 3 Vladimir Voskresensky 2011-03-15 11:10:37 UTC
I don't think isApplicable/canApply/apply is right set of methods.
If you need Applicable object from provider, I'd prefer to see interface as:
Applicable createDescriptor/getDescriptor
Comment 4 Alexander Simon 2011-03-15 13:53:51 UTC
additional fix:
http://hg.netbeans.org/cnd-main/rev/7335049fc828
Comment 5 Vladimir Voskresensky 2011-03-15 19:38:35 UTC
after the last rollback commit of API change, I'm fine with added friends
Comment 6 Alexander Simon 2011-03-16 07:35:01 UTC
integrated in release70, change sets:
http://hg.netbeans.org/releases/rev/1a0490c355e6
http://hg.netbeans.org/releases/rev/02b8521a8bf6
Comment 7 Quality Engineering 2011-03-16 09:43:50 UTC
Integrated into 'main-golden', will be available in build *201103160400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/41d291cf6cd1
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #196722 provide needed friend dependencies for "OSS IDE Project Generator Module"


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo